## prison-kf5 1.2~git20150223

=== CMakeLists.txt ===
project(prison)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")

find_package(QRencode REQUIRED)
find_package(Dmtx REQUIRED)

find_package(ECM 1.2.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)


set(QT_REQUIRED_VERSION "5.2.0")

find_package(Qt5Core ${QT_REQUIRED_VERSION} CONFIG  REQUIRED)
find_package(Qt5Gui ${QT_REQUIRED_VERSION} CONFIG  REQUIRED)
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG  REQUIRED)

if (Qt5_POSITION_INDEPENDENT_CODE)
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

add_subdirectory(lib)
add_subdirectory(testapp)

add_subdirectory(tools)

=== lib/CMakeLists.txt ===

set(PRISON_VERSION "1.2.0")

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Prison")

ecm_setup_version(${PRISON_VERSION} VARIABLE_PREFIX PRISON
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/prison_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PrisonConfigVersion.cmake"
                        SOVERSION 1
)


ecm_configure_package_config_file(
  "${prison_SOURCE_DIR}/lib/KF5PrisonConfig.cmake.in"
  "${prison_BINARY_DIR}/lib/KF5PrisonConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${prison_BINARY_DIR}/lib/KF5PrisonConfig.cmake"
  "${prison_BINARY_DIR}/lib/KF5PrisonConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PrisonTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5PrisonTargets.cmake
        NAMESPACE KF5::
)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/prison_version.h
   DESTINATION ${KF5_INCLUDE_INSTALL_DIR}
   COMPONENT Devel
)


add_subdirectory(prison)

=== testapp/CMakeLists.txt ===

find_package(Qt5 COMPONENTS Widgets)
set(prison_SRCS prison.cpp barcodeexamplewidget.cpp main.cpp)
add_executable(test-prison ${prison_SRCS})
target_link_libraries(test-prison Qt5::Widgets KF5::Prison)

=== tools/CMakeLists.txt ===

add_executable(prison-datamatrix prison-datamatrix.cpp)
target_link_libraries(prison-datamatrix KF5::Prison)

=== lib/prison/CMakeLists.txt ===
include(CMakePackageConfigHelpers)

include_directories(${QRENCODE_INCLUDE_DIR} ${DMTX_INCLUDE_DIR})
SET(    prison_SRCS
        abstractbarcode.cpp
        code39barcode.cpp
        code93barcode.cpp
        datamatrixbarcode.cpp
        qrcodebarcode.cpp
        )

add_library(KF5Prison ${prison_SRCS})

generate_export_header(KF5Prison BASE_NAME prison)

add_library(KF5::Prison ALIAS KF5Prison)

target_include_directories(KF5Prison INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/PRISON/>")

target_link_libraries(KF5Prison
PUBLIC
   Qt5::Gui
PRIVATE
   ${DMTX_LIBRARIES} 
   ${QRENCODE_LIBRARIES} 
)

set_target_properties(KF5Prison PROPERTIES
    VERSION ${PRISON_VERSION_STRING}
    SOVERSION ${PRISON_SOVERSION}
    EXPORT_NAME Prison
)

install(TARGETS KF5Prison EXPORT KF5PrisonTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})


ecm_generate_headers(Prison_CamelCase_HEADERS
  HEADER_NAMES
  AbstractBarcode
  Code39Barcode
  Code93Barcode
  DataMatrixBarcode
  QRCodeBarcode
  PREFIX PRISON/
  REQUIRED_HEADERS Prison_HEADERS
)

install(FILES ${Prison_CamelCase_HEADERS} DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/PRISON/prison COMPONENT Devel)


install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/prison_export.h
    ${Prison_HEADERS}
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/PRISON/prison
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME Prison LIB_NAME KF5Prison DEPS "Qt5::Gui" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KF5_INCLUDE_INSTALL_DIR}/PRISON)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
prison-kf5 (1.2~git20150223-0ubuntu2) vivid; urgency=medium

  * Add missing build-depends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Feb 2015 11:58:43 +0100

prison-kf5 (1.2~git20150223-0ubuntu1) vivid; urgency=medium

  * New snapshot for use with Plasma 5.2

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Feb 2015 11:58:32 +0100

prison (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to my @debian.org email address.
  * Update the watch file.
  * Switch to debhelper compat level 9.
  * Set libprison-dbg to Multi-Arch: same.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Update symbols file.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 05 Apr 2014 23:01:56 +0200

prison (1.0+dfsg-1) unstable; urgency=low

  [ Philip Muškovac ]
  * Initial release. (Closes: #637083)
  * Repack upstream tarball to include the license text of the cmake scripts.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:43:27 -0300

=== debian/control ===
Source: prison-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0),
               libdmtx-dev,
               libqrencode-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kdesupport/prison
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/prison.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/prison.git

Package: libkf5prison-dev
Section: libdevel
Architecture: any
Depends: libkf5prison1 (= ${binary:Version}), ${misc:Depends}
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf5prison1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

Package: libkf5prison-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5prison1 (= ${binary:Version}), ${misc:Depends}
Description: barcode API for Qt - debugging symbols
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the debugging symbols for debugging crashes in the
 prison library

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5prison-dbg

## prison-kf5 5.31.0

=== debian/changelog ===
prison-kf5 (5.31.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:51:01 +0000

prison-kf5 (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:34:43 +0000

prison-kf5 (5.27.0~git20160918-1) experimental; urgency=medium

  [ Jonathan Riddell ]
  * Update for changes and frameworks branch merged into master

  [ Maximiliano Curia ]
  * Prepare kf5 version for Debian upload.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 16:02:40 +0200

prison-kf5 (5.25.0~git20160822-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * Debian merge. No remaining changes.
  * New snapshot.

  [ Clive Johnston ]
  * New snapshot of KDE Git (Version 1.2.2)
  * Rereshing symbols and removing MISSING
  * Add Debian ABI version to libkf5prison

  [ Rik Mills ]
  * Refresh enable debianabimanager patch

  [ Simon Quigley ]
  * Fix missing files
  * Bump Standards-version to 3.9.7, no changes needed
  * Fix insecure Git URI
  * Bump symbols and remove debianabimanager patch

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 26 Jul 2016 12:59:36 +0100

=== debian/control ===
Source: prison-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libdmtx-dev,
               libqrencode-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kdesupport/prison
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/prison
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/prison

Package: libkf5prison-dev
Section: libdevel
Architecture: any
Depends: libkf5prison5 (= ${binary:Version}), ${misc:Depends}
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf5prison5
Architecture: any
Multi-Arch: same
X-CMake-Target: KF5Prison
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

## prison-kf5 5.38.0

=== debian/changelog ===
prison-kf5 (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:18:24 +0100

prison-kf5 (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:04 +0100

prison-kf5 (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:52:56 +0100

prison-kf5 (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:00 +0100

prison-kf5 (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:25:56 +0100

prison-kf5 (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:05:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                libdmtx-dev,
                libqrencode-dev,
                pkg-kde-tools (>= 0.12),

## prison-kf5 5.44.0

=== debian/changelog ===
prison-kf5 (5.44.0-0ubuntu1) bionic; urgency=medium

  * Build dep on qtdeclarative for QtQuick
  * New upstream release (5.44.0)
  * Add package for new qml module qml-module-org-kde-prison

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 20:00:27 +0000

prison-kf5 (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:17:52 +0000

prison-kf5 (5.42.0-0ubuntu1) bionic; urgency=medium

  * Install prison.categories file
  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:24:23 +0000

prison-kf5 (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:09:56 -0600

prison-kf5 (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:18:59 +0000

=== debian/control ===
Source: prison-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libdmtx-dev,
               libqrencode-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kdesupport/prison
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/prison
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/prison

Package: libkf5prison-dev
Architecture: any
Section: libdevel
Depends: libkf5prison5 (= ${binary:Version}), ${misc:Depends}
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf5prison5
X-CMake-Target: KF5Prison
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

Package: qml-module-org-kde-prison
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the QML module

=== debian/watch ===
version=3

http://download.kde.org/stable/prison/(\d[\d\.]+)/src/ prison-([\d\.]+).tar.xz

## prison-kf5 5.50.0

=== debian/changelog ===
prison-kf5 (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:20:02 +0100

prison-kf5 (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:32:29 +0100

prison-kf5 (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/
    - keep explicit build depend on qtdeclarative5-dev for building
      qml modules with current Ubuntu Qt

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:51:51 +0100

prison-kf5 (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:52 +0200

prison-kf5 (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:58:56 +0100

prison-kf5 (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:12 +0200

prison-kf5 (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:32 +0100

prison-kf5 (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:23 +0100

prison-kf5 (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:24 +0100

prison-kf5 (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:06:15 +0100

prison-kf5 (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:23 -0300

prison-kf5 (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:49:10 +0000

prison-kf5 (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 13:01:15 +0000

prison-kf5 (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:47:47 +0000

prison-kf5 (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:32:25 +0000

prison-kf5 (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:59:10 +0200

prison-kf5 (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Add a libkf5prison-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:30 +0200

prison-kf5 (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:19:51 +0000

prison-kf5 (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update watch file
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake

  [ Jonathan Riddell ]
  * update watch file
  * remove backup file

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:32 +0200

prison-kf5 (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:15:26 +0000

prison-kf5 (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:38:40 +0000

prison-kf5 (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:43:03 +0000

prison-kf5 (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:26:16 +0000

prison-kf5 (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:24:26 +0000

prison-kf5 (5.25~git20161107-0neon) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge. No remaining changes.

  [ Raymond Wooninck ]
  * Bump version

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 02 Dec 2015 13:45:28 -0800

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,19 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
                libdmtx-dev,
                libqrencode-dev,
+               libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev,
-               qtdeclarative5-dev
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev,
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kdesupport/prison
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/prison
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/prison
@@ -19,13 +23,29 @@
 Package: libkf5prison-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5prison5 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5prison5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends},
+Recommends: libkf5prison-doc (= ${source:Version})
 Description: barcode API for Qt - development files
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made support more.
  .
  This package contains the development headers and files needed to create
  applications that use the prison library.
+
+Package: libkf5prison-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: barcode API for Qt (documentation)
+ prison is a barcode API currently offering a nice Qt API to produce QRCode
+ barcodes and DataMatrix barcodes, and can easily be made support more.
+ .
+ This package contains the shared library to be used by applications.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5prison5
 X-CMake-Target: KF5Prison

## prison-kf5 5.54.0

=== debian/changelog ===
prison-kf5 (5.54.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:34:33 +0800

prison-kf5 (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:37 -0300

prison-kf5 (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:35 +0100

prison-kf5 (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:15 +0200

prison-kf5 (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:11:02 +0200

## prison-kf5 5.54.0%2B0eagle2%2Brebuild

=== debian/changelog ===
prison-kf5 (5.54.0+0eagle2+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 09:39:19 +0800

=== debian/control ===
Source: prison-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libdmtx-dev,
               libqrencode-dev,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kdesupport/prison
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/prison
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/prison.git

Package: libkf5prison-dev
Section: libdevel
Architecture: any
Depends: libkf5prison5 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Recommends: libkf5prison-doc (= ${source:Version})
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf5prison-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: barcode API for Qt (documentation)
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5prison5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

## prison-kf5 5.56.0

=== debian/changelog ===
prison-kf5 (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:38:52 +0000

prison-kf5 (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:34:18 +0000

prison-kf5 (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:37:27 +0000

prison-kf5 (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:51:01 +0000

prison-kf5 (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:44:24 +0000

prison-kf5 (5.50.0-0ubuntu2) disco; urgency=medium

  * No-change rebuild against latest qrencode

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 18:56:42 -0500

=== debian/control ===
Source: prison-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libdmtx-dev,
               libqrencode-dev,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kdesupport/prison
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/prison
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/prison

Package: libkf5prison-dev
Architecture: any
Section: libdevel
Depends: libkf5prison5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5prison-doc (= ${source:Version})
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf5prison-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: barcode API for Qt (documentation)
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.
 .
 This package contains the qch documentation files.

Package: libkf5prison5
X-CMake-Target: KF5Prison
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

Package: qml-module-org-kde-prison
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the QML module

## prison-kf5 5.62.0

=== debian/changelog ===
prison-kf5 (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:18 -0700

prison-kf5 (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:09 +0100

=== debian/control ===
Source: prison-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libdmtx-dev,
               libqrencode-dev,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kdesupport/prison
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/prison
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/prison.git

Package: libkf5prison-dev
Section: libdevel
Architecture: any
Depends: libkf5prison5 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
Recommends: libkf5prison-doc (= ${source:Version})
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf5prison-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: barcode API for Qt (documentation)
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5prison5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

## prison-kf5 5.68.0

=== tests/CMakeLists.txt ===
set(prison_SRCS prison.cpp barcodeexamplewidget.cpp main.cpp)
add_executable(test-prison ${prison_SRCS})
target_link_libraries(test-prison Qt5::Widgets KF5::Prison)

=== src/lib/CMakeLists.txt ===
include(CMakePackageConfigHelpers)
if(TARGET Dmtx::Dmtx)
    set(HAVE_DMTX 1)
endif()
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-prison.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-prison.h)

set(prison_SRCS
    abstractbarcode.cpp
    aztecbarcode.cpp
    bitvector.cpp
    code39barcode.cpp
    code93barcode.cpp
    code128barcode.cpp
    qrcodebarcode.cpp
    prison.cpp
    reedsolomon.cpp
)
if(TARGET Dmtx::Dmtx)
    list(APPEND prison_SRCS datamatrixbarcode.cpp)
endif()

ecm_qt_declare_logging_category(prison_SRCS
    HEADER prison_debug.h
    IDENTIFIER Prison::Log
    CATEGORY_NAME kf5.prison
    DESCRIPTION "Prison (lib)"
    EXPORT PRISON
)
add_library(KF5Prison ${prison_SRCS})

generate_export_header(KF5Prison BASE_NAME Prison)

add_library(KF5::Prison ALIAS KF5Prison)

target_include_directories(KF5Prison INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/prison/>")
target_include_directories(KF5Prison PUBLIC "$<BUILD_INTERFACE:${prison_SOURCE_DIR}>")

target_link_libraries(KF5Prison
PUBLIC
   Qt5::Gui
PRIVATE
   QRencode::QRencode
)
if(TARGET Dmtx::Dmtx)
    target_link_libraries(KF5Prison PRIVATE Dmtx::Dmtx)
endif()

set_target_properties(KF5Prison PROPERTIES
    VERSION ${PRISON_VERSION_STRING}
    SOVERSION ${PRISON_SOVERSION}
    EXPORT_NAME Prison
)

install(TARGETS KF5Prison EXPORT KF5PrisonTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(Prison_CamelCase_HEADERS
    HEADER_NAMES
    AbstractBarcode
    Prison
    PREFIX PRISON
    REQUIRED_HEADERS Prison_HEADERS
)

# KF6: install to a path having both include visibility layer & namespace dir prefix:
# CamelCase includes to ${KDE_INSTALL_INCLUDEDIR_KF5}/Prison/Prison
# normal headers to ${KDE_INSTALL_INCLUDEDIR_KF5}/Prison/prison
# The generated cmake config files currently points behind the namespace dir prefix, by
# target_include_directories(KF5Prison INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/prison>")
# which should though point to before the namespace dir prefix level.
# Includes using <prison/*> only work currently due to the actual include base ${KDE_INSTALL_INCLUDEDIR_KF5}
# also being set, via KF5_INSTALL_TARGETS_DEFAULT_ARGS.
install(FILES
    ${Prison_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/prison COMPONENT Devel)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/prison_export.h
    ${Prison_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/prison
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Prison_QCH
        NAME Prison
        BASE_NAME KF5Prison
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${Prison_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Gui_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            PRISON_EXPORT
            PRISON_DEPRECATED
            PRISON_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

# INCLUDE_INSTALL_DIR has to be without prison/ subdir
# as the generated CamelCase headers have the prison/ path in the forward include
ecm_generate_pri_file(BASE_NAME Prison LIB_NAME KF5Prison DEPS "gui" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5})
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
prison-kf5 (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)
  * Update sybmols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:00:53 +0000

prison-kf5 (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:53:39 +0000

prison-kf5 (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:22:34 +0000

prison-kf5 (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:03:30 +0000

prison-kf5 (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:27:41 +0000

prison-kf5 (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:10:10 +0100

prison-kf5 (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:45:52 +0100

prison-kf5 (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:19:13 +0100

prison-kf5 (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:22:24 +0100

prison-kf5 (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:43:37 +0100

prison-kf5 (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:41:08 +0100

=== debian/control ===
Source: prison-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libdmtx-dev,
               libqrencode-dev,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kdesupport/prison
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/prison
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/prison

Package: libkf5prison-dev
Architecture: any
Section: libdevel
Depends: libkf5prison5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5prison-doc (= ${source:Version})
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf5prison-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: barcode API for Qt (documentation)
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.
 .
 This package contains the qch documentation files.

Package: libkf5prison5
X-CMake-Target: KF5Prison
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

Package: qml-module-org-kde-prison
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the QML module

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

## prison-kf5 5.74.0

=== debian/changelog ===
prison-kf5 (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:02:13 +0100

prison-kf5 (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:01:41 +0100

prison-kf5 (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:36:15 +0100

prison-kf5 (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:09:43 +0100

prison-kf5 (5.70.0-1ubuntu1) groovy; urgency=medium

  * MergeMerge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Build qml module.
      + Optional build depend on qtdeclarative5-dev.
      + Package qml-module-org-kde-prison.

 -- Rik Mills <rikmills@kde.org>  Mon, 08 Jun 2020 08:44:22 +0100

prison-kf5 (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:00 +0200

prison-kf5 (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)
  * Update symbols files

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:35:25 +0100

prison-kf5 (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Update symbols from build for 5.69.0.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:55:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,30 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
                libdmtx-dev,
                libqrencode-dev,
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.12.0~),
                qtdeclarative5-dev,
+               qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/kdesupport/prison
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/prison
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/prison
+Rules-Requires-Root: no
 
 Package: libkf5prison-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5prison5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
 Recommends: libkf5prison-doc (= ${source:Version})
 Description: barcode API for Qt - development files
@@ -37,7 +39,6 @@
 Package: libkf5prison-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: barcode API for Qt (documentation)
  prison is a barcode API currently offering a nice Qt API to produce QRCode
@@ -46,13 +47,13 @@
  This package contains the shared library to be used by applications.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5prison5
-X-CMake-Target: KF5Prison
 Architecture: any
 Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: barcode API for Qt
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made support more.
